<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysMessageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysMessage">
        <id column="id_" property="id" />
        <result column="title_" property="title" />
        <result column="content_" property="content" />
        <result column="type_" property="type" />
        <result column="status_" property="status" />
        <result column="receiver_" property="receiver" />
        <result column="send_time_" property="sendTime" />
        <result column="error_msg_" property="errorMsg" />
        <result column="create_on_" property="createOn" />
        <result column="modify_on_" property="modifyOn" />
        <result column="user_id_" property="userId" />
        <result column="memo_" property="memo" />
        <result column="read_status_" property="readStatus" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, title_, content_, type_, status_, receiver_, send_time_, error_msg_, create_on_, modify_on_, user_id_, memo_, read_status_
    </sql>

</mapper>
